;===========================================
; Global Configuration Section
;===========================================

[settings]

;Debug flags is used to enable/disable 
;woomera channel debugging level.
;Production: set to 2
;Debugging: set to 3
;------------------------------
debug=2


;===========================================
;Default Profile Configuration Section
;===========================================

[default]

;Woomera Server IP Address
;This is the remote ip address of the
;Woomera Server (sangoma_mgd: SMG)
;By default both Asterisk and SMG
;will reside on same machine.
;------------------------------
host=localhost


;Woomera Server TCP/IP Port
;This is the remote port number of the
;Woomera Server (sangoma_mgd: SMG)
;------------------------------
port=42420


;IP address of remote SMG Audio Server
;(sangoma_mgd:SMG)
;By default both Asterisk and SMG
;will reside on same machine.
;------------------------------
audio_ip=127.0.0.1

;UDP Media ports used to carry audio.
;This ports must not conflict with Woomera Server.
;(eg: sangoma_mgd:SMG)
;Only change if you have a port conflict with 
;another application.
;------------------------------
base_media_port     = 20000
max_media_ports     = 5000


;Incoming Context for Woomera Channels
;All incoming calls will be forwared to defined
;context in extensions.conf
;------------------------------
context=sangoma


;Debug flags is used to enable/disable woomera channel
;debugging level.
;Production: set to 2       (Default)
;Debugging: set to 3
;------------------------------
debug=2


;Hard limit for woomera channels
;Woomera channel driver will only allow defined
;number of channels. Set this value based on
;number of T1/E1 channels supported.
;If unsure set this value to 0.
;Options: 1 to 600 - limited calls  
;         0 - unlimited Calls (Default)
;------------------------------
;max_calls=0


;Enable Incoming DTMF detection
;This option will enable Rx DTMF detection on each
;channel. The Tx DTMF is automatically enabled on SMG.
;If you dont need DTMF do not enable it. Note if SMG
;supports HWDTMF, this option will automatically be
;turned off in Asterisk.
;Options: 1 - Enable DTMF     (Default)
;         0 - Disable DTMF
;------------------------------
dtmf_enable=1


;Enable Jitter buffer for this profile
;This option is tied to the above global
;jitter buffer options. 
;NOTE: a jb patch must be applied to Asterisk.
;Options: 1 - Enable JitterBuffer
;         0 - Disable JitterBuffer (Default)
;------------------------------
jb_enable=0


;Enable Asterisk Progress Messaging
;Used for Asterisk Early Audio with 
;Zap and SIP.
;Options: 1 - Enable ProgresMsg
;         0 - Disable ProgresMsg (Default)
;------------------------------
progress_enable=0


;Enable progress messages transmissions
;to TDM on each incoming call after
;the call has been ACCEPTED. Note
;this is for INCOMING calls only
;and should be used when telco 
;requires gateway to send progress messages
;on EVERY call setup.
;Options: 1 - Enable progress
;	      0 - Diasble progress (Default)
;------------------------------
progress_on_accept=0


;Coding is necessary to identify
;ulaw/alaw rx/tx gain.
;Opionts: ulaw
;         alaw
;Adjust rx and tx gain
;Options: 0   - Disable
;         1.0-X.0 - Gain
;------------------------------
;coding=ulaw
;rxgain=0.0
;txgain=0.0


;Woomera UDP Sequencing
;This option MUST be also supported
;by SMG server. Should be used for debugging.
;Options: 0 - Disable (default)
;         1 - Enable
;------------------------------
;woomera_udp_seq=0


;Woomera exten blacklist
;Repeat for up to 32 numbers
;-------------------------
;exten_blacklist=9054441111
;exten_blacklist=9054442222


;Enable/Disable RBS Relay
;This option only works between
;two woomera channels that
;are bridge by woomera channel
;------------------------------
rbs_relay=0

;Woomera disable bridge
;Use asterisk default bridge
;for two woomera channels
--------------------------
bridge_disable=0


;These options are used to disable rx or tx paths.
;Should not be used.
;-------------------------------
;inbound=no
;outbound=no

